Bug 1575428 - Removal of firewalld python2 subpackage breaks ansible
Summary: Removal of firewalld python2 subpackage breaks ansible
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Garver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1554285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 21:30 UTC by Felix Kaechele
Modified: 2018-05-23 12:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 11:10:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Kaechele 2018-05-06 21:30:38 UTC
Ansible roles only run Python 2 modules. With the removal of the python2-firewall package in Fedora 28 modules using the Ansible module firewalld are no longer working and thus Fedora 28 hosts' firewall settings can't be managed using this module.

Version-Release number of selected component:
ansible-2.5.2-1.fc28.noarch
firewalld-0.5.2-2.fc28.noarch

Comment 1 Eric Garver 2018-05-07 12:50:53 UTC
Is configuring for the remote to use python3 not sufficient?

  http://docs.ansible.com/ansible/latest/reference_appendices/python_3_support.html

Comment 2 Felix Kaechele 2018-05-12 11:10:15 UTC
Yes, that works. Thanks!

Requested a fix for it here: https://github.com/ansible/ansible/pull/40048


Note You need to log in before you can comment on or make changes to this bug.